i am running OS X 10.4.11 on a PowerPC G5 and want to upgrade my operating system. Will Snow Leopard work on my computer?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

3 Answers from the Community

  • Best Answer:

    No. Snow Leopard requires an Intel processor.

    Leopard (OS X 10.5.n) is the last version of OS X to run on Power PC processors.

    Was this useful? Answer 1

    6 of 6 people found this useful

  • No, Snow Leopard requires an Intel CPU and you have a PowerPC CPU.

    Was this useful? Answer 2

    3 of 3 people found this useful

  • No. Snow Leopard only works on Intel-based Macs.

    Was this useful? Answer 3

    1 of 1 people found this useful

Related Questions